function Fig2(X1, Y1, YMatrix1)
%CREATEFIGURE(X1, Y1, YMatrix1)
%  X1:  vector of loglog x data
%  Y1:  vector of loglog y data
%  YMATRIX1:  matrix of loglog y data

%  Auto-generated by MATLAB on 09-May-2023 16:07:38

% Create figure
figure('WindowState','maximized');

% Create axes
axes1 = axes;
hold(axes1,'on');

% Create loglog
loglog(X1,Y1,'DisplayName','(HR-TM)','LineWidth',3.5);

% Create multiple line objects using matrix input to loglog
loglog1 = loglog(YMatrix1,'LineWidth',3.5,'LineStyle','--');
set(loglog1(1),'DisplayName','Upper bound (Theorem 3.4)');
set(loglog1(2),'DisplayName','Upper bound (Corollary 3.5)');

% Create ylabel
ylabel('$f(x_k)-f(x^*)$','Interpreter','latex');

% Create xlabel
xlabel('Time Span (t)','Interpreter','latex');

% Uncomment the following line to preserve the X-limits of the axes
% xlim(axes1,[1 1814.17263361331]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim(axes1,[4.49018878395427e-14 2336.64945232833]);
box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'FontName','Times New Roman','FontSize',48,'GridLineWidth',1,...
    'LineWidth',3.5,'XGrid','on','XMinorTick','on','XScale','log','YGrid','on',...
    'YMinorTick','on','YScale','log');
% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Position',[0.140046296296295 0.179381861138267 0.311342592592593 0.160907127429806]);

