function createfigure(YMatrix1)
%CREATEFIGURE(YMatrix1)
%  YMATRIX1:  matrix of loglog y data

%  Auto-generated by MATLAB on 09-May-2023 15:58:08

% Create figure
figure('WindowState','maximized');

% Create axes
axes1 = axes;
hold(axes1,'on');

% Create multiple line objects using matrix input to loglog
loglog1 = loglog(YMatrix1,'LineWidth',3.5);
set(loglog1(1),'DisplayName','NAG');
set(loglog1(2),'DisplayName','QHM (Corollary 4.2)');
set(loglog1(3),'DisplayName','QHM (Zhang et al., 2021)');
set(loglog1(4),'DisplayName','Upper bound (Corollary 4.2)','LineStyle','--');
set(loglog1(5),'DisplayName','Upper bound (Zhang et al., 2021)',...
    'LineStyle','--');

% Create ylabel
ylabel('$f(x_k)-f(x^*)$','Interpreter','latex');

% Create xlabel
xlabel('Iteration');

% Uncomment the following line to preserve the X-limits of the axes
% xlim(axes1,[0.993256814099046 8572.57124972045]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim(axes1,[6.16343912795468e-14 151.52691375763]);
box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'FontName','Times','FontSize',48,'GridLineWidth',0.8,'LineWidth',...
    3.5,'XGrid','on','XMinorTick','on','XScale','log','YGrid','on','YMinorTick',...
    'on','YScale','log');
% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Position',[0.144241898148147 0.173328081787033 0.359085648148148 0.265658747300216],...
    'LineWidth',3.5);

